Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### long

Examples

    long a;          // Declare variable "a" of type int
    a = 23;          // Assign "a" the value 23
    long b = -256;   // Declare variable "b" and assign it the value -256
    long c = a + b;  // Declare variable "c" and assign it the sum of "a" and "b"
    int i = (int)c;  // Converts the value of "c" from a long to a int

Description

Datatype for large integers. While integers can be as large as 2,147,483,647 and as low as -2,147,483,648 (stored as 32 bits), a long integer has a minimum value of -9,223,372,036,854,775,808 and a maximum value of 9,223,372,036,854,775,807 (stored as 64 bits). Use this datatype when you need a number to have a greater magnitude than can be stored within an int. Processing functions don't use this datatype, so while they work in the language, you'll usually have to convert to a int using the (int) syntax before passing into a function.

Syntax

    long var
    long var = value

Parameters

var | variable name referencing the value
value | any integer value

Usage | Web & Application
Related | int

Updated on November 22, 2008 08:39:25pm PST